Skip to main content
`Ctrl`+`K`

# DMPlexGetGeomObject

Returns Geometry Object using the objects ID in the geometric (CAD) model

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGeomObject(DM dm, PetscGeom body, PetscInt geomType, PetscInt geomID, PetscGeom *geomObj) PeNS

Collective

## Input Parameters

- dm - The DMPlex object with an attached PetscContainer storing a CAD Geometry object

- body - PetscGeom body object containing the lower level entity the referenced by the ID.

- geomType - Keyword SHELL, FACE, LOOP, EDGE, or NODE of the geometry type for which ID number is being requested.

- geomID - ID number of the geometry entity being requested.

## Output Parameter

- geomObj - Geometry Object referenced by the ID number requested.

## See Also

`DMPlexGetGeomModelBodies()`, `DMPlexGetGeomModelTUV()`, `DMPlexInflateToGeomModelUseTUV()`, `DMPlexInflateToGeomModelUseXYZ()`

## Level

intermediate

## Location

src/dm/impls/plex/plexegads.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages